summaryrefslogtreecommitdiffstats
path: root/mozilla-nss
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-03-20 22:26:19 +0000
committer Eric Hameleers <alien@slackware.com>2012-03-20 22:26:19 +0000
commit5751f3b27e02d82450eb9ec96093465d8ee70f4e (patch)
tree91490218e97d99959219d4e03b70b59bc841efb6 /mozilla-nss
parente5aae9427820e2b9a82c2f667a4d3d76e4f1bf00 (diff)
downloadasb-5751f3b27e02d82450eb9ec96093465d8ee70f4e.tar.gz
asb-5751f3b27e02d82450eb9ec96093465d8ee70f4e.tar.xz
Update to nss-3.13.1 and nspr-4.8.9
Diffstat (limited to 'mozilla-nss')
-rwxr-xr-xmozilla-nss/build/mozilla-nss.SlackBuild175
1 files changed, 56 insertions, 119 deletions
diff --git a/mozilla-nss/build/mozilla-nss.SlackBuild b/mozilla-nss/build/mozilla-nss.SlackBuild
index d1ded555..83a6abef 100755
--- a/mozilla-nss/build/mozilla-nss.SlackBuild
+++ b/mozilla-nss/build/mozilla-nss.SlackBuild
@@ -1,6 +1,5 @@
#!/bin/sh
-# $Id$
-# Copyright 2005,2006,2008,2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2005, 2006, 2008, 2009, 2010, 2012 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -21,68 +20,22 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
-#
-# Slackware SlackBuild script
-# ===========================
-# By: Eric Hameleers <alien@slackware.com>
-# For: mozilla-nss
-# Descr: Network Security Services
-# URL: http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases
-# Needs:
-# Changelog:
-# 3.9.2-1: 25/mar/2005 by Eric Hameleers
-# * Initial build.
-# 3.9.2-2: 07/Nov/2006 by Eric Hameleers <alien@slackware.com>
-# * Rewrote the SlackBuild for Slackware 11.0
-# 3.11.4-1: 12/May/2007 by Eric Hameleers <alien@slackware.com>
-# * Update to NSS 3.11.4 with NSPR 4.6.4
-# 3.11.4-2: 28/dec/2008 by Eric Hameleers <alien@slackware.com>
-# * Make it build on x86_64 (patch by '414N').
-# 3.12.3-1: 17/jul/2009 by Eric Hameleers <alien@slackware.com>
-# * Update
-# 3.12.3-2: 07/apr/2010 by Eric Hameleers <alien@slackware.com>
-# * Fix some file ownerships in the package.
-#
-# Run 'sh mozilla-nss.SlackBuild' to build a Slackware package.
-# The package (.tgz) plus descriptive .txt file are created in /tmp .
-# Install using 'installpkg'.
-#
-# -----------------------------------------------------------------------------
-PRGNAM=mozilla-nss
+PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.12.3}
-NSPR=${NSPR:-4.7.4}
-UCDIR=$(echo ${SRCNAM}.${VERSION} | tr '.a-z' '_A-Z')
-BUILD=${BUILD:-2}
-TAG=${TAG:-alien}
-
-# Where do we look for sources?
-SRCDIR=$(cd $(dirname $0); pwd)
-
-# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-${PRGNAM}
-OUTPUT=${OUTPUT:-/tmp}
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-# http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_12_3_RTM/src/nss-3.12.3.tar.bz2
-SOURCE[0]="$SRCDIR/${SRCNAM}-${VERSION}.tar.bz2"
-SRCURL[0]="http://ftp.mozilla.org/pub/mozilla.org/security/${SRCNAM}/releases/${UCDIR}_RTM/src/${SRCNAM}-${VERSION}.tar.bz2"
-
-# http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v4.7.4/src/nspr-4.7.4.tar.gz
-SOURCE[1]="$SRCDIR/nspr-${NSPR}.tar.gz"
-SRCURL[1]="http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v${NSPR}/src/nspr-${NSPR}.tar.bz2"
+VERSION=${VERSION:-3.13.1}
+NSPR=${NSPR:-4.8.9}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -93,46 +46,30 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
export USE_64=1
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
-# Source file availability:
-for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
- if ! [ -f ${SOURCE[$i]} ]; then
- if ! [ "x${SRCURL[$i]}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
- echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
- echo "Will download file to $(dirname $SOURCE[$i])"
- wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
- if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
- echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
- mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
- exit 1
- fi
- else
- echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
- exit 1
- fi
- fi
-done
-
-if [ "$1" == "--download" ]; then
- echo "Download complete."
- exit 0
-fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
cd $TMP
rm -rf nss-${VERSION}
rm -rf nspr-${NSPR}
-tar xvf $SRCDIR/nss-$VERSION.tar.?z* || exit 1
-tar xvf $SRCDIR/nspr-$NSPR.tar.?z* || exit 1
+tar xvf $CWD/nss-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/nspr-$NSPR.tar.?z* || exit 1
cd nss-$VERSION
-# Patch out "No rule to make target -lz. Stop." error
-zcat $SRCDIR/signtool.zlib.diff.gz | patch -p1 || exit 1
+## Patch out "No rule to make target -lz. Stop." error
+#zcat $CWD/signtool.zlib.diff.gz | patch -p1 || exit 1
# NSS needs NSPR:
ln -s ../../nspr-$NSPR/mozilla/nsprpub mozilla/nsprpub
@@ -176,31 +113,31 @@ cd -
# Provide pkg-config files:
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nss.pc
- prefix=/usr
- exec_prefix=\${prefix}
- libdir=/usr/lib${LIBDIRSUFFIX}
- includedir=\${prefix}/include/nss
-
- Name: NSS
- Description: Network Security Services
- Version: $VERSION
- Requires: nspr >= $NSPR sqlite3
- Libs: -L\${libdir} -lnss3 -lsmime3 -lssl3 -lsoftokn3 -lnssutil3
- Cflags: -I\${includedir}
- EOT
-cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nspr.pc
- prefix=/usr
- exec_prefix=\${prefix}
- libdir=/usr/lib${LIBDIRSUFFIX}
- includedir=\${prefix}/include/nspr
-
- Name: NSPR
- Description: The Netscape Portable Runtime
- Version: $NSPR
- Libs: -L\${libdir} -lplds4 -lplc4 -lnspr4
- Cflags: -I\${includedir}
- EOT
+cat <<EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nss.pc
+prefix=/usr
+exec_prefix=\${prefix}
+libdir=/usr/lib${LIBDIRSUFFIX}
+includedir=\${prefix}/include/nss
+
+Name: NSS
+Description: Network Security Services
+Version: $VERSION
+Requires: nspr >= $NSPR sqlite3
+Libs: -L\${libdir} -lnss3 -lsmime3 -lssl3 -lsoftokn3 -lnssutil3
+Cflags: -I\${includedir}
+EOT
+cat <<EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nspr.pc
+prefix=/usr
+exec_prefix=\${prefix}
+libdir=/usr/lib${LIBDIRSUFFIX}
+includedir=\${prefix}/include/nspr
+
+Name: NSPR
+Description: The Netscape Portable Runtime
+Version: $NSPR
+Libs: -L\${libdir} -lplds4 -lplc4 -lnspr4
+Cflags: -I\${includedir}
+EOT
( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
ln -s mozilla-nspr.pc nspr.pc
@@ -208,12 +145,12 @@ cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nspr.pc
)
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- $SRCDIR/MPL-1.1.txt $SRCDIR/gpl-2.0.txt $SRCDIR/lgpl-2.1.txt $SRCDIR/faq.html \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+ $CWD/MPL-1.1.txt $CWD/gpl-2.0.txt $CWD/lgpl-2.1.txt \
+ $CWD/faq.html \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -221,9 +158,9 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
# Add a package description:
mkdir -p $PKG/install
-cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz